Subject: Re: [bug#29792] [PATCH] gnu: [email-masked]: Superseded by the latest GnuPG.
From: Leo Famulari <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked]
Date: Thu, 21 Dec 2017 12:45:07 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

On Thu, Dec 21, 2017 at 11:11:56AM +0100, Ludovic Courtès wrote:
> Since this makes it impossible to install gnupg-2.0 unless one uses -e,
> I thought we could remove the definition altogether, but maybe what you
> propose is a good middle-ground since it gives an escape hatch for
> someone “who knows what they’re doing.”

It seems there are some big differences between 2.0 and later series.
Notably, 2.0 still uses the old pubring.gpg and secring.gpg keyrings and
supports PGP-2 keys. But 2.0 uses the newer multi-process architecture
compared to 1.4.

https://gnupg.org/faq/whats-new-in-2.1.html

So, there could be people still wanting to use 2.0 for a while. I think
we should remove it completely soonish.

I pushed as 806e891e85aff27ea87c4e60930d8c4ed7d5091f.